--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: from_fraction
- !ruby/object:RI::MethodSummary 
  name: from_html
- !ruby/object:RI::MethodSummary 
  name: from_percentage
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: An RGB colour object.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: AliceBlue
  value: Color::RGB.new(0xf0, 0xf8, 0xff)
- !ruby/object:RI::Constant 
  comment: 
  name: AntiqueWhite
  value: Color::RGB.new(0xfa, 0xeb, 0xd7)
- !ruby/object:RI::Constant 
  comment: 
  name: Aqua
  value: Color::RGB.new(0x00, 0xff, 0xff)
- !ruby/object:RI::Constant 
  comment: 
  name: Aquamarine
  value: Color::RGB.new(0x7f, 0xff, 0xd4)
- !ruby/object:RI::Constant 
  comment: 
  name: Azure
  value: Color::RGB.new(0xf0, 0xff, 0xff)
- !ruby/object:RI::Constant 
  comment: 
  name: Beige
  value: Color::RGB.new(0xf5, 0xf5, 0xdc)
- !ruby/object:RI::Constant 
  comment: 
  name: Bisque
  value: Color::RGB.new(0xff, 0xe4, 0xc4)
- !ruby/object:RI::Constant 
  comment: 
  name: Black
  value: Color::RGB.new(0, 0, 0)
- !ruby/object:RI::Constant 
  comment: 
  name: BlanchedAlmond
  value: Color::RGB.new(0xff, 0xeb, 0xcd)
- !ruby/object:RI::Constant 
  comment: 
  name: Blue
  value: Color::RGB.new(0x00, 0x00, 0xff)
- !ruby/object:RI::Constant 
  comment: 
  name: BlueViolet
  value: Color::RGB.new(0x8a, 0x2b, 0xe2)
- !ruby/object:RI::Constant 
  comment: 
  name: Brown
  value: Color::RGB.new(0xa5, 0x2a, 0x2a)
- !ruby/object:RI::Constant 
  comment: 
  name: BurlyWood
  value: Color::RGB.new(0xde, 0xb8, 0x87)
- !ruby/object:RI::Constant 
  comment: 
  name: Burlywood
  value: BurlyWood
- !ruby/object:RI::Constant 
  comment: 
  name: CadetBlue
  value: Color::RGB.new(0x5f, 0x9e, 0xa0)
- !ruby/object:RI::Constant 
  comment: 
  name: Carnation
  value: Color::RGB.new(0xff, 0x5e, 0xd0)
- !ruby/object:RI::Constant 
  comment: 
  name: Cayenne
  value: Color::RGB.new(0x8d, 0x00, 0x00)
- !ruby/object:RI::Constant 
  comment: 
  name: Chartreuse
  value: Color::RGB.new(0x7f, 0xff, 0x00)
- !ruby/object:RI::Constant 
  comment: 
  name: Chocolate
  value: Color::RGB.new(0xd2, 0x69, 0x1e)
- !ruby/object:RI::Constant 
  comment: 
  name: Coral
  value: Color::RGB.new(0xff, 0x7f, 0x50)
- !ruby/object:RI::Constant 
  comment: 
  name: CornflowerBlue
  value: Color::RGB.new(0x64, 0x95, 0xed)
- !ruby/object:RI::Constant 
  comment: 
  name: Cornsilk
  value: Color::RGB.new(0xff, 0xf8, 0xdc)
- !ruby/object:RI::Constant 
  comment: 
  name: Crimson
  value: Color::RGB.new(0xdc, 0x14, 0x3c)
- !ruby/object:RI::Constant 
  comment: 
  name: Cyan
  value: Color::RGB.new(0x00, 0xff, 0xff)
- !ruby/object:RI::Constant 
  comment: 
  name: DarkBlue
  value: Color::RGB.new(0x00, 0x00, 0x8b)
- !ruby/object:RI::Constant 
  comment: 
  name: DarkCyan
  value: Color::RGB.new(0x00, 0x8b, 0x8b)
- !ruby/object:RI::Constant 
  comment: 
  name: DarkGoldenRod
  value: Color::RGB.new(0xb8, 0x86, 0x0b)
- !ruby/object:RI::Constant 
  comment: 
  name: DarkGoldenrod
  value: DarkGoldenRod
- !ruby/object:RI::Constant 
  comment: 
  name: DarkGray
  value: Color::RGB.new(0xa9, 0xa9, 0xa9)
- !ruby/object:RI::Constant 
  comment: 
  name: DarkGreen
  value: Color::RGB.new(0x00, 0x64, 0x00)
- !ruby/object:RI::Constant 
  comment: 
  name: DarkGrey
  value: DarkGray
- !ruby/object:RI::Constant 
  comment: 
  name: DarkKhaki
  value: Color::RGB.new(0xbd, 0xb7, 0x6b)
- !ruby/object:RI::Constant 
  comment: 
  name: DarkMagenta
  value: Color::RGB.new(0x8b, 0x00, 0x8b)
- !ruby/object:RI::Constant 
  comment: 
  name: DarkOliveGreen
  value: Color::RGB.new(0x55, 0x6b, 0x2f)
- !ruby/object:RI::Constant 
  comment: 
  name: DarkOrange
  value: Color::RGB.new(0xff, 0x8c, 0x00)
- !ruby/object:RI::Constant 
  comment: 
  name: DarkOrchid
  value: Color::RGB.new(0x99, 0x32, 0xcc)
- !ruby/object:RI::Constant 
  comment: 
  name: DarkRed
  value: Color::RGB.new(0x8b, 0x00, 0x00)
- !ruby/object:RI::Constant 
  comment: 
  name: DarkSalmon
  value: Color::RGB.new(0xe9, 0x96, 0x7a)
- !ruby/object:RI::Constant 
  comment: 
  name: DarkSeaGreen
  value: Color::RGB.new(0x8f, 0xbc, 0x8f)
- !ruby/object:RI::Constant 
  comment: 
  name: DarkSlateBlue
  value: Color::RGB.new(0x48, 0x3d, 0x8b)
- !ruby/object:RI::Constant 
  comment: 
  name: DarkSlateGray
  value: Color::RGB.new(0x2f, 0x4f, 0x4f)
- !ruby/object:RI::Constant 
  comment: 
  name: DarkSlateGrey
  value: DarkSlateGray
- !ruby/object:RI::Constant 
  comment: 
  name: DarkTurquoise
  value: Color::RGB.new(0x00, 0xce, 0xd1)
- !ruby/object:RI::Constant 
  comment: 
  name: DarkViolet
  value: Color::RGB.new(0x94, 0x00, 0xd3)
- !ruby/object:RI::Constant 
  comment: 
  name: DarkoliveGreen
  value: DarkOliveGreen
- !ruby/object:RI::Constant 
  comment: 
  name: Darkorange
  value: Color::RGB.new(0xff, 0x8c, 0x00)
- !ruby/object:RI::Constant 
  comment: 
  name: Darksalmon
  value: DarkSalmon
- !ruby/object:RI::Constant 
  comment: 
  name: DeepPink
  value: Color::RGB.new(0xff, 0x14, 0x93)
- !ruby/object:RI::Constant 
  comment: 
  name: DeepSkyBlue
  value: Color::RGB.new(0x00, 0xbf, 0xbf)
- !ruby/object:RI::Constant 
  comment: 
  name: DimGray
  value: Color::RGB.new(0x69, 0x69, 0x69)
- !ruby/object:RI::Constant 
  comment: 
  name: DimGrey
  value: DimGray
- !ruby/object:RI::Constant 
  comment: 
  name: DodgerBlue
  value: Color::RGB.new(0x1e, 0x90, 0xff)
- !ruby/object:RI::Constant 
  comment: 
  name: Feldspar
  value: Color::RGB.new(0xd1, 0x92, 0x75)
- !ruby/object:RI::Constant 
  comment: 
  name: FireBrick
  value: Color::RGB.new(0xb2, 0x22, 0x22)
- !ruby/object:RI::Constant 
  comment: 
  name: Firebrick
  value: FireBrick
- !ruby/object:RI::Constant 
  comment: 
  name: FloralWhite
  value: Color::RGB.new(0xff, 0xfa, 0xf0)
- !ruby/object:RI::Constant 
  comment: 
  name: ForestGreen
  value: Color::RGB.new(0x22, 0x8b, 0x22)
- !ruby/object:RI::Constant 
  comment: 
  name: Fuchsia
  value: Color::RGB.new(0xff, 0x00, 0xff)
- !ruby/object:RI::Constant 
  comment: 
  name: Gainsboro
  value: Color::RGB.new(0xdc, 0xdc, 0xdc)
- !ruby/object:RI::Constant 
  comment: 
  name: GhostWhite
  value: Color::RGB.new(0xf8, 0xf8, 0xff)
- !ruby/object:RI::Constant 
  comment: 
  name: Gold
  value: Color::RGB.new(0xff, 0xd7, 0x00)
- !ruby/object:RI::Constant 
  comment: 
  name: GoldenRod
  value: Color::RGB.new(0xda, 0xa5, 0x20)
- !ruby/object:RI::Constant 
  comment: 
  name: Goldenrod
  value: GoldenRod
- !ruby/object:RI::Constant 
  comment: 
  name: Gray
  value: Color::RGB.new(0x80, 0x80, 0x80)
- !ruby/object:RI::Constant 
  comment: 
  name: Gray10
  value: Color::RGB.from_percentage(10, 10, 10)
- !ruby/object:RI::Constant 
  comment: 
  name: Gray20
  value: Color::RGB.from_percentage(20, 20, 20)
- !ruby/object:RI::Constant 
  comment: 
  name: Gray30
  value: Color::RGB.from_percentage(30, 30, 30)
- !ruby/object:RI::Constant 
  comment: 
  name: Gray40
  value: Color::RGB.from_percentage(40, 40, 40)
- !ruby/object:RI::Constant 
  comment: 
  name: Gray50
  value: Color::RGB.from_percentage(50, 50, 50)
- !ruby/object:RI::Constant 
  comment: 
  name: Gray60
  value: Color::RGB.from_percentage(60, 60, 60)
- !ruby/object:RI::Constant 
  comment: 
  name: Gray70
  value: Color::RGB.from_percentage(70, 70, 70)
- !ruby/object:RI::Constant 
  comment: 
  name: Gray80
  value: Color::RGB.from_percentage(80, 80, 80)
- !ruby/object:RI::Constant 
  comment: 
  name: Gray90
  value: Color::RGB.from_percentage(90, 90, 90)
- !ruby/object:RI::Constant 
  comment: 
  name: Green
  value: Color::RGB.new(0x00, 0x80, 0x00)
- !ruby/object:RI::Constant 
  comment: 
  name: GreenYellow
  value: Color::RGB.new(0xad, 0xff, 0x2f)
- !ruby/object:RI::Constant 
  comment: 
  name: Grey
  value: Gray
- !ruby/object:RI::Constant 
  comment: 
  name: Grey10
  value: Gray10
- !ruby/object:RI::Constant 
  comment: 
  name: Grey20
  value: Gray20
- !ruby/object:RI::Constant 
  comment: 
  name: Grey30
  value: Gray30
- !ruby/object:RI::Constant 
  comment: 
  name: Grey40
  value: Gray40
- !ruby/object:RI::Constant 
  comment: 
  name: Grey50
  value: Gray50
- !ruby/object:RI::Constant 
  comment: 
  name: Grey60
  value: Gray60
- !ruby/object:RI::Constant 
  comment: 
  name: Grey70
  value: Gray70
- !ruby/object:RI::Constant 
  comment: 
  name: Grey80
  value: Gray80
- !ruby/object:RI::Constant 
  comment: 
  name: Grey90
  value: Gray90
- !ruby/object:RI::Constant 
  comment: 
  name: HoneyDew
  value: Color::RGB.new(0xf0, 0xff, 0xf0)
- !ruby/object:RI::Constant 
  comment: 
  name: Honeydew
  value: HoneyDew
- !ruby/object:RI::Constant 
  comment: 
  name: HotPink
  value: Color::RGB.new(0xff, 0x69, 0xb4)
- !ruby/object:RI::Constant 
  comment: 
  name: IndianRed
  value: Color::RGB.new(0xcd, 0x5c, 0x5c)
- !ruby/object:RI::Constant 
  comment: 
  name: Indigo
  value: Color::RGB.new(0x4b, 0x00, 0x82)
- !ruby/object:RI::Constant 
  comment: 
  name: Ivory
  value: Color::RGB.new(0xff, 0xff, 0xf0)
- !ruby/object:RI::Constant 
  comment: 
  name: Khaki
  value: Color::RGB.new(0xf0, 0xe6, 0x8c)
- !ruby/object:RI::Constant 
  comment: 
  name: Lavender
  value: Color::RGB.new(0xe6, 0xe6, 0xfa)
- !ruby/object:RI::Constant 
  comment: 
  name: LavenderBlush
  value: Color::RGB.new(0xff, 0xf0, 0xf5)
- !ruby/object:RI::Constant 
  comment: 
  name: LawnGreen
  value: Color::RGB.new(0x7c, 0xfc, 0x00)
- !ruby/object:RI::Constant 
  comment: 
  name: LemonChiffon
  value: Color::RGB.new(0xff, 0xfa, 0xcd)
- !ruby/object:RI::Constant 
  comment: 
  name: LightBlue
  value: Color::RGB.new(0xad, 0xd8, 0xe6)
- !ruby/object:RI::Constant 
  comment: 
  name: LightCoral
  value: Color::RGB.new(0xf0, 0x80, 0x80)
- !ruby/object:RI::Constant 
  comment: 
  name: LightCyan
  value: Color::RGB.new(0xe0, 0xff, 0xff)
- !ruby/object:RI::Constant 
  comment: 
  name: LightGoldenRodYellow
  value: Color::RGB.new(0xfa, 0xfa, 0xd2)
- !ruby/object:RI::Constant 
  comment: 
  name: LightGoldenrodYellow
  value: LightGoldenRodYellow
- !ruby/object:RI::Constant 
  comment: 
  name: LightGray
  value: Color::RGB.new(0xd3, 0xd3, 0xd3)
- !ruby/object:RI::Constant 
  comment: 
  name: LightGreen
  value: Color::RGB.new(0x90, 0xee, 0x90)
- !ruby/object:RI::Constant 
  comment: 
  name: LightGrey
  value: LightGray
- !ruby/object:RI::Constant 
  comment: 
  name: LightPink
  value: Color::RGB.new(0xff, 0xb6, 0xc1)
- !ruby/object:RI::Constant 
  comment: 
  name: LightSalmon
  value: Color::RGB.new(0xff, 0xa0, 0x7a)
- !ruby/object:RI::Constant 
  comment: 
  name: LightSeaGreen
  value: Color::RGB.new(0x20, 0xb2, 0xaa)
- !ruby/object:RI::Constant 
  comment: 
  name: LightSkyBlue
  value: Color::RGB.new(0x87, 0xce, 0xfa)
- !ruby/object:RI::Constant 
  comment: 
  name: LightSlateBlue
  value: Color::RGB.new(0x84, 0x70, 0xff)
- !ruby/object:RI::Constant 
  comment: 
  name: LightSlateGray
  value: Color::RGB.new(0x77, 0x88, 0x99)
- !ruby/object:RI::Constant 
  comment: 
  name: LightSlateGrey
  value: LightSlateGray
- !ruby/object:RI::Constant 
  comment: 
  name: LightSteelBlue
  value: Color::RGB.new(0xb0, 0xc4, 0xde)
- !ruby/object:RI::Constant 
  comment: 
  name: LightYellow
  value: Color::RGB.new(0xff, 0xff, 0xe0)
- !ruby/object:RI::Constant 
  comment: 
  name: Lightsalmon
  value: LightSalmon
- !ruby/object:RI::Constant 
  comment: 
  name: LightsteelBlue
  value: LightSteelBlue
- !ruby/object:RI::Constant 
  comment: 
  name: Lime
  value: Color::RGB.new(0x00, 0xff, 0x00)
- !ruby/object:RI::Constant 
  comment: 
  name: LimeGreen
  value: Color::RGB.new(0x32, 0xcd, 0x32)
- !ruby/object:RI::Constant 
  comment: 
  name: Linen
  value: Color::RGB.new(0xfa, 0xf0, 0xe6)
- !ruby/object:RI::Constant 
  comment: 
  name: Magenta
  value: Color::RGB.new(0xff, 0x00, 0xff)
- !ruby/object:RI::Constant 
  comment: 
  name: Maroon
  value: Color::RGB.new(0x80, 0x00, 0x00)
- !ruby/object:RI::Constant 
  comment: 
  name: MediumAquaMarine
  value: Color::RGB.new(0x66, 0xcd, 0xaa)
- !ruby/object:RI::Constant 
  comment: 
  name: MediumAquamarine
  value: MediumAquaMarine
- !ruby/object:RI::Constant 
  comment: 
  name: MediumBlue
  value: Color::RGB.new(0x00, 0x00, 0xcd)
- !ruby/object:RI::Constant 
  comment: 
  name: MediumOrchid
  value: Color::RGB.new(0xba, 0x55, 0xd3)
- !ruby/object:RI::Constant 
  comment: 
  name: MediumPurple
  value: Color::RGB.new(0x93, 0x70, 0xdb)
- !ruby/object:RI::Constant 
  comment: 
  name: MediumSeaGreen
  value: Color::RGB.new(0x3c, 0xb3, 0x71)
- !ruby/object:RI::Constant 
  comment: 
  name: MediumSlateBlue
  value: Color::RGB.new(0x7b, 0x68, 0xee)
- !ruby/object:RI::Constant 
  comment: 
  name: MediumSpringGreen
  value: Color::RGB.new(0x00, 0xfa, 0x9a)
- !ruby/object:RI::Constant 
  comment: 
  name: MediumTurquoise
  value: Color::RGB.new(0x48, 0xd1, 0xcc)
- !ruby/object:RI::Constant 
  comment: 
  name: MediumVioletRed
  value: Color::RGB.new(0xc7, 0x15, 0x85)
- !ruby/object:RI::Constant 
  comment: 
  name: MidnightBlue
  value: Color::RGB.new(0x19, 0x19, 0x70)
- !ruby/object:RI::Constant 
  comment: 
  name: MintCream
  value: Color::RGB.new(0xf5, 0xff, 0xfa)
- !ruby/object:RI::Constant 
  comment: 
  name: MistyRose
  value: Color::RGB.new(0xff, 0xe4, 0xe1)
- !ruby/object:RI::Constant 
  comment: 
  name: Moccasin
  value: Color::RGB.new(0xff, 0xe4, 0xb5)
- !ruby/object:RI::Constant 
  comment: 
  name: NavajoWhite
  value: Color::RGB.new(0xff, 0xde, 0xad)
- !ruby/object:RI::Constant 
  comment: 
  name: Navy
  value: Color::RGB.new(0x00, 0x00, 0x80)
- !ruby/object:RI::Constant 
  comment: 
  name: OldLace
  value: Color::RGB.new(0xfd, 0xf5, 0xe6)
- !ruby/object:RI::Constant 
  comment: 
  name: Olive
  value: Color::RGB.new(0x80, 0x80, 0x00)
- !ruby/object:RI::Constant 
  comment: 
  name: OliveDrab
  value: Color::RGB.new(0x6b, 0x8e, 0x23)
- !ruby/object:RI::Constant 
  comment: 
  name: Olivedrab
  value: OliveDrab
- !ruby/object:RI::Constant 
  comment: 
  name: Orange
  value: Color::RGB.new(0xff, 0xa5, 0x00)
- !ruby/object:RI::Constant 
  comment: 
  name: OrangeRed
  value: Color::RGB.new(0xff, 0x45, 0x00)
- !ruby/object:RI::Constant 
  comment: 
  name: Orchid
  value: Color::RGB.new(0xda, 0x70, 0xd6)
- !ruby/object:RI::Constant 
  comment: 
  name: PaleGoldenRod
  value: Color::RGB.new(0xee, 0xe8, 0xaa)
- !ruby/object:RI::Constant 
  comment: 
  name: PaleGoldenrod
  value: PaleGoldenRod
- !ruby/object:RI::Constant 
  comment: 
  name: PaleGreen
  value: Color::RGB.new(0x98, 0xfb, 0x98)
- !ruby/object:RI::Constant 
  comment: 
  name: PaleTurquoise
  value: Color::RGB.new(0xaf, 0xee, 0xee)
- !ruby/object:RI::Constant 
  comment: 
  name: PaleVioletRed
  value: Color::RGB.new(0xdb, 0x70, 0x93)
- !ruby/object:RI::Constant 
  comment: 
  name: PapayaWhip
  value: Color::RGB.new(0xff, 0xef, 0xd5)
- !ruby/object:RI::Constant 
  comment: 
  name: PeachPuff
  value: Color::RGB.new(0xff, 0xda, 0xb9)
- !ruby/object:RI::Constant 
  comment: 
  name: Peachpuff
  value: PeachPuff
- !ruby/object:RI::Constant 
  comment: 
  name: Peru
  value: Color::RGB.new(0xcd, 0x85, 0x3f)
- !ruby/object:RI::Constant 
  comment: 
  name: Pink
  value: Color::RGB.new(0xff, 0xc0, 0xcb)
- !ruby/object:RI::Constant 
  comment: 
  name: Plum
  value: Color::RGB.new(0xdd, 0xa0, 0xdd)
- !ruby/object:RI::Constant 
  comment: 
  name: PowderBlue
  value: Color::RGB.new(0xb0, 0xe0, 0xe6)
- !ruby/object:RI::Constant 
  comment: 
  name: Purple
  value: Color::RGB.new(0x80, 0x00, 0x80)
- !ruby/object:RI::Constant 
  comment: 
  name: Red
  value: Color::RGB.new(0xff, 0x00, 0x00)
- !ruby/object:RI::Constant 
  comment: 
  name: RosyBrown
  value: Color::RGB.new(0xbc, 0x8f, 0x8f)
- !ruby/object:RI::Constant 
  comment: 
  name: RoyalBlue
  value: Color::RGB.new(0x41, 0x69, 0xe1)
- !ruby/object:RI::Constant 
  comment: 
  name: SaddleBrown
  value: Color::RGB.new(0x8b, 0x45, 0x13)
- !ruby/object:RI::Constant 
  comment: 
  name: Salmon
  value: Color::RGB.new(0xfa, 0x80, 0x72)
- !ruby/object:RI::Constant 
  comment: 
  name: SandyBrown
  value: Color::RGB.new(0xf4, 0xa4, 0x60)
- !ruby/object:RI::Constant 
  comment: 
  name: SeaGreen
  value: Color::RGB.new(0x2e, 0x8b, 0x57)
- !ruby/object:RI::Constant 
  comment: 
  name: SeaShell
  value: Color::RGB.new(0xff, 0xf5, 0xee)
- !ruby/object:RI::Constant 
  comment: 
  name: Seashell
  value: SeaShell
- !ruby/object:RI::Constant 
  comment: 
  name: Sienna
  value: Color::RGB.new(0xa0, 0x52, 0x2d)
- !ruby/object:RI::Constant 
  comment: 
  name: Silver
  value: Color::RGB.new(0xc0, 0xc0, 0xc0)
- !ruby/object:RI::Constant 
  comment: 
  name: SkyBlue
  value: Color::RGB.new(0x87, 0xce, 0xeb)
- !ruby/object:RI::Constant 
  comment: 
  name: SlateBlue
  value: Color::RGB.new(0x6a, 0x5a, 0xcd)
- !ruby/object:RI::Constant 
  comment: 
  name: SlateGray
  value: Color::RGB.new(0x70, 0x80, 0x90)
- !ruby/object:RI::Constant 
  comment: 
  name: SlateGrey
  value: SlateGray
- !ruby/object:RI::Constant 
  comment: 
  name: Snow
  value: Color::RGB.new(0xff, 0xfa, 0xfa)
- !ruby/object:RI::Constant 
  comment: 
  name: SpringGreen
  value: Color::RGB.new(0x00, 0xff, 0x7f)
- !ruby/object:RI::Constant 
  comment: 
  name: SteelBlue
  value: Color::RGB.new(0x46, 0x82, 0xb4)
- !ruby/object:RI::Constant 
  comment: 
  name: Tan
  value: Color::RGB.new(0xd2, 0xb4, 0x8c)
- !ruby/object:RI::Constant 
  comment: 
  name: Teal
  value: Color::RGB.new(0x00, 0x80, 0x80)
- !ruby/object:RI::Constant 
  comment: 
  name: Thistle
  value: Color::RGB.new(0xd8, 0xbf, 0xd8)
- !ruby/object:RI::Constant 
  comment: 
  name: Tomato
  value: Color::RGB.new(0xff, 0x63, 0x47)
- !ruby/object:RI::Constant 
  comment: 
  name: Turquoise
  value: Color::RGB.new(0x40, 0xe0, 0xd0)
- !ruby/object:RI::Constant 
  comment: 
  name: Violet
  value: Color::RGB.new(0xee, 0x82, 0xee)
- !ruby/object:RI::Constant 
  comment: 
  name: VioletRed
  value: Color::RGB.new(0xd0, 0x20, 0x90)
- !ruby/object:RI::Constant 
  comment: 
  name: Wheat
  value: Color::RGB.new(0xf5, 0xde, 0xb3)
- !ruby/object:RI::Constant 
  comment: 
  name: White
  value: Color::RGB.new(0xff, 0xff, 0xff)
- !ruby/object:RI::Constant 
  comment: 
  name: WhiteSmoke
  value: Color::RGB.new(0xf5, 0xf5, 0xf5)
- !ruby/object:RI::Constant 
  comment: 
  name: Yellow
  value: Color::RGB.new(0xff, 0xff, 0x00)
- !ruby/object:RI::Constant 
  comment: 
  name: YellowGreen
  value: Color::RGB.new(0x9a, 0xcd, 0x32)
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The format of a DeviceRGB colour for PDF. In color-tools 2.0 this will be removed from this package and added back as a modification by the PDF::Writer package.
  name: PDF_FORMAT_STR
  value: "\"%.3f %.3f %.3f %s\""
full_name: Color::RGB
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: +
- !ruby/object:RI::MethodSummary 
  name: "-"
- !ruby/object:RI::MethodSummary 
  name: ==
- !ruby/object:RI::MethodSummary 
  name: adjust_brightness
- !ruby/object:RI::MethodSummary 
  name: adjust_hue
- !ruby/object:RI::MethodSummary 
  name: adjust_saturation
- !ruby/object:RI::MethodSummary 
  name: b
- !ruby/object:RI::MethodSummary 
  name: b=
- !ruby/object:RI::MethodSummary 
  name: blue
- !ruby/object:RI::MethodSummary 
  name: blue=
- !ruby/object:RI::MethodSummary 
  name: blue_p
- !ruby/object:RI::MethodSummary 
  name: blue_p=
- !ruby/object:RI::MethodSummary 
  name: brightness
- !ruby/object:RI::MethodSummary 
  name: css_hsl
- !ruby/object:RI::MethodSummary 
  name: css_hsla
- !ruby/object:RI::MethodSummary 
  name: css_rgb
- !ruby/object:RI::MethodSummary 
  name: css_rgba
- !ruby/object:RI::MethodSummary 
  name: darken_by
- !ruby/object:RI::MethodSummary 
  name: g
- !ruby/object:RI::MethodSummary 
  name: g=
- !ruby/object:RI::MethodSummary 
  name: green
- !ruby/object:RI::MethodSummary 
  name: green=
- !ruby/object:RI::MethodSummary 
  name: green_p
- !ruby/object:RI::MethodSummary 
  name: green_p=
- !ruby/object:RI::MethodSummary 
  name: html
- !ruby/object:RI::MethodSummary 
  name: inspect
- !ruby/object:RI::MethodSummary 
  name: lighten_by
- !ruby/object:RI::MethodSummary 
  name: max_rgb_as_grayscale
- !ruby/object:RI::MethodSummary 
  name: max_rgb_as_greyscale
- !ruby/object:RI::MethodSummary 
  name: mix_with
- !ruby/object:RI::MethodSummary 
  name: pdf_fill
- !ruby/object:RI::MethodSummary 
  name: pdf_stroke
- !ruby/object:RI::MethodSummary 
  name: r
- !ruby/object:RI::MethodSummary 
  name: r=
- !ruby/object:RI::MethodSummary 
  name: red
- !ruby/object:RI::MethodSummary 
  name: red=
- !ruby/object:RI::MethodSummary 
  name: red_p
- !ruby/object:RI::MethodSummary 
  name: red_p=
- !ruby/object:RI::MethodSummary 
  name: to_cmyk
- !ruby/object:RI::MethodSummary 
  name: to_grayscale
- !ruby/object:RI::MethodSummary 
  name: to_greyscale
- !ruby/object:RI::MethodSummary 
  name: to_hsl
- !ruby/object:RI::MethodSummary 
  name: to_rgb
- !ruby/object:RI::MethodSummary 
  name: to_yiq
name: RGB
superclass: Object
